<? /*
session_start();
  require("../conectar.php");
  require('funciones.php');
  

	 
	 
	 /*********************************************Inicia Reporte de entradas del dia de hoy*********
	 
	 
	 ************************************************************************
	 function periodo($fi,$ff){
  $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$fi);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ff);
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;
 if($anios>0)$periodo.="$anios años ";
 if($meses>0)$periodo.="$meses meses ";
 if($semred>0)$periodo.="$semred Semanas ";
 if($restodias>0)$periodo.="$restodias dias ";
 return($periodo);
 }
	 
	 
	 
  // $eldiadehoy=date("Y-m-d");
   $eldiadehoy="2013-09-19";
   
    $sqlent="SELECT sum(p.monto) as monto, p.tipo_moneda, c.tarifa, p.fechaval, (SELECT concat(nombre,' ',a_pat) from empleados where id_empleado=p.usu_val) as valido, c.id_renta AS id_renta, c.id_cliente AS id_cliente, c.dia_inicio AS fechai,c.dia_salida AS fechas, cl.nombre AS nombre, cl.a_pat AS apat, cl.a_mat AS amat,pr.nombre AS propiedad,d.clave AS clave,d.no_depto AS no, em.nombre AS nomco, em.a_pat AS apaco,emp.nombre AS nomej, emp.a_pat AS apaej 
	FROM conceptos AS c 
	INNER JOIN renta AS r ON c.id_renta = r.id_renta 
	INNER JOIN clientes AS cl ON c.id_cliente = cl.id_cliente 
	INNER JOIN pagos AS p ON c.id_concepto=p.id_concepto	
	INNER JOIN complejo AS pr ON c.id_complejo=pr.id_complejo 
	INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento 
	INNER JOIN empleados  as em ON r.id_coordinador=em.id_empleado 
	INNER JOIN empleados  as emp ON r.id_ejecutivo=emp.id_empleado 
	WHERE c.dia_inicio = '$eldiadehoy' 
	AND valadmon='s' group by p.id_concepto";
	 $res=mysql_query($sqlent);
	 $tabla='<table style="width:800px;background:#FFFFFF;border-collapse:collapse;border:solid 1px #A4A4A4;font-family:arial;font-size:12px;">
	                <tr><td colspan="9" align="center"><b>ENTRADAS PARA HOY</b></td></tr>
	                <tr style="border-top:solid 1px #A4A4A4">
		                <td><b>DEPARTAMENTO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>CLIENTE</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>COORDINADOR</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>EJECUTIVO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>PERIODO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>TARIFA</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>IMPORTE PAGADO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>FECHA VALIDACION</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>VALIDO</b></td>
		            </tr>';
	$st=0;
    $con=0;	
	 while($ls=mysql_fetch_array($res)){
	     if($st==0){$color="#F2F2F2";$st=1;}else{$color="#FFFFFF";$st=0;}
	     $tabla=$tabla.'
		             <tr style="border-top:solid 1px #A4A4A4;background:'.$color.';">
					    <td>'.$ls['propiedad'].' '.$ls['no'].' ('.$ls['clave'].')</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['nombre'].' '.$ls['apat'].' '.$ls['amat'].'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['nomco'].' '.$ls['apaco'].'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['nomej'].' '.$ls['apaej'].'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.periodo($ls['fechai'],$ls['fechas']).'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['tarifa'].'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['monto'].' '.$ls['tipo_moneda'].'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['fechaval'].'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$ls['valido'].'</td>
						
					 </tr>';
					 $con++;
	 }
	 $tabla=$tabla.'</table>
	 <br> 
	 <br> 
	 <br> 
	 <br>
      <font style="font-family:arial;font-size:11px;"><b>Nota importante:</b><br>Para garantizar la satisfacci&oacute;n de nuestro hu&eacute;sped, es muy importante que chequemos que la habitaci&oacute;n est&eacute; perfectamente montada, con las amenidades, y muy limpia, as&iacute; como revisar los documentos que se tienen que firmar y revisar pagos antes de la entrega y recuerda dar, la  bienvenida a tu cliente, hacerlo  sentir que llego a casa, que le podamos dar recomendaciones de la zona y del transporte también lo har&aacute; sentirse bien recibido.
	  <br>
	  <br>
	  <br>
	  Todas las salidas deber&aacute;n de ser a las 12 del d&iacute;a y deber&aacute;n de estar montadas y limpias a las 2 de las tarde, para que puedan ser mostradas y en su caso rentadas en mismo d&iacute;a.
	  </font>	 
	 <br> 
	 <br> 
	 <br> 
	 <br> 
	 <br> 
	 <br> 
	 <br> 
	 <font style="font-family:arial;font-size:11px;color:#0489B1;"><b>Este correo ha sido enviado de forma autom&aacute;tica desde el TURISISCOM y por lo tanto no acepta respuesta.</b></font>
	 ';
	 $sqlmail="SELECT count(folio) AS no FROM contadormail WHERE folio='ENTRADAHOY$eldiadehoy'";
	 $m=mysql_query($sqlmail);
	 $n=mysql_fetch_array($m);
	 //if($n["no"]=="0" && $con!=0)
	 {
	 
	 $sqlm="SELECT email2 FROM `empleados` WHERE puesto in ('4','5') AND fechabaja='0000-00-00'";
     $quem=mysql_query($sqlm);
	 while($ms=mysql_fetch_array($quem)){
	    $mails=$mails.", ".$ms["email2"]; 
	 }
	 
	 //$mail="mexicoenrenta_gerencia_imagen@hotmail.com";
	 $from="turisiscom@hotmail.com";
	 $mail="turisiscom@hotmail.com";
	 $destinatario = $mail; 
     $asunto = "Reporte de Entradas"; 
     $cuerpo = $tabla;
     //para el envío en formato HTML 
     $headers = "MIME-Version: 1.0\r\n"; 
     $headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 
     //dirección del remitente 
     $headers .= "From: $from\r\n"; 
     //dirección de respuesta, si queremos que sea distinta que la del remitente 
     $headers .= "Reply-To: none\r\n"; 
     //ruta del mensaje desde origen a destino 
     $headers .= "Return-path: none\r\n"; 
     //direcciones que recibián copia 
    // $headers .= "Cc: admonrenta@hotmail.com, informes@mexicoenrenta.com.mx, rentaenmexico@hotmail.com, auditoriamxrent@hotmail.com $mails\r\n"; 
     //direcciones que recibirán copia oculta 
     //$headers .= "Bcc:\r\n"; 
     if(mail($destinatario,$asunto,$cuerpo,$headers)){
	     $correo=encrypt($tabla,"mail");
		 $sql="INSERT INTO contadormail(id,id_emp,mail,correo,fecha,folio)VALUES('','0','$correo','$mail','$fechaActual','ENTRADAHOY$eldiadehoy')";
		// mysql_query($sql);
		 
		 $sql="INSERT INTO pendientes(accion,destino,remitente,fecha_ingreso,observaciones,status,area) values('ENTRADAS PARA HOY','51','33','$fechaActual','$tabla','NO ATENDIDO','MANTENIMINETO')";
		//mysql_query($sql);
	    }
	 }
	 
	 echo$tabla;
	 
	 
	 */
	 
$fi=$_GET["fechaini"];
$ff=$_GET["fechafin"];
require("../conectar.php");
require("funciones.php");
?>


<table class="ocupacion">
 <tr>	
    <th colspan="4">CLIENTES QUE NO RENTARON</th>
      </tr>
  <tr>
    <th>Medio </th>
    <th>Submedio </th>
    <th>No. de Clientes</th>
    <th>porcentaje</th>
  </tr>
  <?
 $totalclientes=0;$x=0;
  $sql="SELECT  (Select descripcion from subdirectorios where id_subdir=r.submedio) as descripcion , (Select canal from medio where id=r.submedio) as canal, count(r.id_renta) as con from renta as r 
  INNER JOIN conceptos as c ON c.id_renta=r.id_renta 
  where(c.dia_inicio between '$fi' and '$ff') and c.status_renta IN('','LIBRE')  group by descripcion ";  
	$query=mysql_query($sql);
	while($medio=mysql_fetch_array($query))
		{
		$totalclientes=$medio["con"]+$totalclientes;
		}
	$query=mysql_query($sql);
		while($medio=mysql_fetch_array($query))
		{
		$x++;
		if($medio["canal"]==""){$m="NO CAPTURADO";}
		else{$m=$medio["canal"];}
		if($medio["descripcion"]==""){$d="NO CAPTURADO";}
		else{$d=$medio["descripcion"];}
 ?><tr>
    <td>
    <input name="medio<?echo$x?>" type="hidden" id="medio<?echo$x?>" value="<?echo$m;?>" ><?echo$m?></td>
	 <td>
    <input name="submedio<?echo$x?>" type="hidden" id="submedio<?echo$x?>" value="<?echo$d;?>" ><?echo$d?></td>
    <td>
    <input name="cliente<?echo$x?>" type="text" id="cliente<?echo$x?>" value="<?echo$medio["con"];?>" readonly></td>
    <td>
	<input name="porcliente<?echo$x?>" type="text" id="porcliente<?echo$x?>" value="<?echo porcentaje($por=($medio["con"]/$totalclientes)*100);?>" readonly></td>
  </tr>
  <?}?>
  <tr>
    <td></td>
    <td>Total</td>
    <td><?echo ($totalclientes);?></td>
    <td><?echo porcentaje(100);?></td>
  </tr>
</table>
<br>
<table class="ocupacion">
  <tr>	
    <th colspan="4">CLIENTES QUE RENTARON</th>
      </tr>
  <tr>
    <th>Medio </th>
    <th>Submedio </th>
    <th>No. de Clientes</th>
    <th>porcentaje</th>
  </tr>
  <?
 $totalclientes=0;$x=0;
   echo$sql="SELECT  c.id_renta FROM conceptos as c 
     INNER JOIN pagos as p ON p.id_concepto=c.id_concepto 
   where(p.fecha between '$fi' and '$ff') and p.concepto IN('RENTA','SEGUIMIENTO') group by p.id_concepto ";  
   	
	$query=mysql_query($sql);
while($rentas=mysql_fetch_array($query)){$ren.="'".$rentas["id_renta"]."',";}
 $ren.="'0'";  
   echo$sql="SELECT  (Select descripcion from subdirectorios where id_subdir=r.submedio) as descripcion , (Select canal from medio where id=r.submedio) as canal, count(r.id_renta) as con from renta as r 
   where r.id_renta IN($ren) group by descripcion ";  
	$query=mysql_query($sql);
	while($medio=mysql_fetch_array($query))
		{
		$totalclientes=$medio["con"]+$totalclientes;
		}
	$query=mysql_query($sql);
		while($medio=mysql_fetch_array($query))
		{
		$x++;
		if($medio["canal"]==""){$m="NO CAPTURADO";}
		else{$m=$medio["canal"];}
		if($medio["descripcion"]==""){$d="NO CAPTURADO";}
		else{$d=$medio["descripcion"];}
 ?><tr>
    <td>
    <input name="medio<?echo$x?>" type="hidden" id="medio<?echo$x?>" value="<?echo$m;?>" ><?echo$m?></td>
	 <td>
    <input name="submedio<?echo$x?>" type="hidden" id="submedio<?echo$x?>" value="<?echo$d;?>" ><?echo$d?></td>
    <td>
    <input name="cliente<?echo$x?>" type="text" id="cliente<?echo$x?>" value="<?echo$medio["con"];?>" readonly></td>
    <td>
	<input name="porcliente<?echo$x?>" type="text" id="porcliente<?echo$x?>" value="<?echo porcentaje($por=($medio["con"]/$totalclientes)*100);?>" readonly></td>
  </tr>
  <?}?>
  <tr>
    <td></td>
    <td>Total</td>
    <td><?echo ($totalclientes);?></td>
    <td><?echo porcentaje(100);?></td>
  </tr>
</table>

